Deployments.ai Docs
Command reference

deployments workflow-execution

Durable workflow executions

CommandSummary
deployments workflow-execution listList workflow executions
deployments workflow-execution startStart an immutable workflow release
deployments workflow-execution showShow a workflow execution
deployments workflow-execution stepsList workflow step attempts
deployments workflow-execution cancelRequest workflow execution cancellation

deployments workflow-execution list

List workflow executions.

deployments workflow-execution list
  • Calls GET /v1/workflow-executions (SDK listWorkflowExecutions).
  • Needs an environment: --env or the saved context.
  • Paginated. --page-size sets the page size; pass the returned cursor as --cursor for the next page.
FlagTypeRequiredDefaultDescription
--cursorstring (cursor)Pagination cursor
--page-sizestring (number)Page size
--statusstringWorkflow execution status

Also accepts the global flags.

deployments workflow-execution start

Start an immutable workflow release.

deployments workflow-execution start --release <release>
FlagTypeRequiredDefaultDescription
--releasestringyesWorkflow release ID
--inputstring (json)Workflow input JSON
--workspace-idstringWorkspace ID

Also accepts the global flags.

deployments workflow-execution show

Show a workflow execution.

deployments workflow-execution show <id>
FlagTypeRequiredDefaultDescription
<id>positionalyesResource ID

Also accepts the global flags.

deployments workflow-execution steps

List workflow step attempts.

deployments workflow-execution steps <id>
FlagTypeRequiredDefaultDescription
--cursorstring (cursor)Pagination cursor
--page-sizestring (number)Page size
<id>positionalyesResource ID

Also accepts the global flags.

deployments workflow-execution cancel

Request workflow execution cancellation.

deployments workflow-execution cancel <id> --expected-version <number>
FlagTypeRequiredDefaultDescription
<id>positionalyesResource ID
--expected-versionstring (number)yesExpected workflow execution version

Also accepts the global flags.

On this page